# Group Mappings Object

> Source: https://truto.one/docs/api-reference/admin/group-mappings/

Schema for the `Group Mappings` resource in **Admin API**.

## Properties

- **`id`** _(string)_
  The ID of the group mapping.
- **`team_id`** _(string)_
  The ID of the team that owns this group mapping.
- **`scim_group_id`** _(string)_
  The ID of the SCIM group this mapping applies to.
- **`role`** _(string)_
  The role granted to members of the mapped SCIM group. Null leaves the role unchanged.
  Allowed: `admin`, `member`
- **`environment_ids`** _(array<string>)_
  Environment IDs that members of the mapped group are granted access to.
- **`created_at`** _(string)_
  The date and time when the group mapping was created.
- **`updated_at`** _(string)_
  The date and time when the group mapping was last updated.

## Methods

- [GET /group-mapping](/docs/api-reference/admin/group-mappings/list) — List group mappings
- [POST /group-mapping](/docs/api-reference/admin/group-mappings/create) — Create group mapping
- [PATCH /group-mapping/{id}](/docs/api-reference/admin/group-mappings/update) — Update group mapping
- [DELETE /group-mapping/{id}](/docs/api-reference/admin/group-mappings/delete) — Delete group mapping
